<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/oze/gas" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/oze/gas" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="./xmldsig-core-schema.xsd"/>
	<xsd:element name="RESGAS">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předešlou zprávu</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Location" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Měsíční výkaz o výrobě biometanu - lokalita</xsd:documentation>
						<xsd:documentation xml:lang="EN">Locality</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:sequence>
							<xsd:element name="Data" minOccurs="0" maxOccurs="unbounded">
								<xsd:annotation>
									<xsd:documentation xml:lang="CS">Měsíční výkaz - data</xsd:documentation>
									<xsd:documentation xml:lang="EN">Locality and time interval data</xsd:documentation>
								</xsd:annotation>
								<xsd:complexType>
									<xsd:attribute name="value-type" use="required">
										<xsd:annotation>
											<xsd:documentation>Typ hodnoty</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="P_EZP_1">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Výrobce biometanu žádá o vydání záruky původu energie</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_EZP_2">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství biometanu, na které výrobce biometanu žádá o vydání záruky původu energie</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_1">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Instalovaná kapacita výrobny biometanu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_2A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Celkové množství biometanu dodaného přímo do distribuční soustavy nebo přepravní soustavy nebo prostřednictvím vlastního těžebního plynovodu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_2B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Celkové množství biometanu dodaného do plynárenského zařízení jiné výrobny plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_2C">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Celkové množství biometanu dodaného přímo do čerpací stanice nebo výdejní jednotky</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_3A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství pokročilého biometanu dodaného přímo do distribuční soustavy nebo přepravní soustavy nebo prostřednictvím vlastního těžebního plynovodu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_3B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství ostatního biometanu dodaného přímo do distribuční soustavy nebo přepravní soustavy nebo prostřednictvím vlastního těžebního plynovodu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_4A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství pokročilého biometanu dodaného do plynárenského zařízení jiné výrobny plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_4B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství ostatního biometanu dodaného do plynárenského zařízení jiné výrobny plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_5A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství pokročilého biometanu dodaného přímo do čerpací stanice nebo výdejní jednotky</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_5B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Množství ostatního biometanu dodaného přímo do čerpací stanice nebo výdejní jednotky</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_6">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Poměr pokročilého a ostatního biometanu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_GCR_7">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Podíl surovin vymezující pokročilý biometan</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_1A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Pokročilý biometan – využití bioplynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_1B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ostatní biometan – využití bioplynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_2A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Pokročilý biometan – využití skládkového plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_2B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ostatní biometan – využití skládkového plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_3A">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Pokročilý biometan – využití kalového plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
												<xsd:enumeration value="P_RES_3B">
													<xsd:annotation>
														<xsd:documentation xml:lang="CS">Ostatní biometan – využití kalového plynu</xsd:documentation>
													</xsd:annotation>
												</xsd:enumeration>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="value" use="required">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Hodnota</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:maxLength value="18"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
									<xsd:attribute name="unit" use="optional">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Jednotka</xsd:documentation>
											<xsd:documentation xml:lang="EN">Unit relevant for quantity</xsd:documentation>
										</xsd:annotation>
										<xsd:simpleType>
											<xsd:restriction base="xsd:string">
												<xsd:enumeration value="Nm3/rok"/>
												<xsd:enumeration value="%"/>
												<xsd:enumeration value="MWh"/>
											</xsd:restriction>
										</xsd:simpleType>
									</xsd:attribute>
								</xsd:complexType>
							</xsd:element>
						</xsd:sequence>
						<xsd:attribute name="source-id" use="required">
							<xsd:annotation>
								<xsd:documentation>Id výrobního zdroje</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="date-from" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation>Datum od</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="date-to" type="xsd:date" use="required">
							<xsd:annotation>
								<xsd:documentation>Datum do</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="version">
							<xsd:annotation>
								<xsd:documentation>Číslo verze dat</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:integer">
									<xsd:totalDigits value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="report-date-time" type="xsd:dateTime">
							<xsd:annotation>
								<xsd:documentation>Datum a čas výkazu</xsd:documentation>
							</xsd:annotation>
						</xsd:attribute>
						<xsd:attribute name="report-status">
							<xsd:annotation>
								<xsd:documentation>Status výkazu</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:enumeration value="0">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nezúčtováno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="1">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Zúčtováno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="2">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Vytištěno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="3">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Stornováno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="4">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Opravná faktura</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
									<xsd:enumeration value="5">
										<xsd:annotation>
											<xsd:documentation xml:lang="CS">Nespecifikováno</xsd:documentation>
											<xsd:documentation xml:lang="EN"/>
										</xsd:annotation>
									</xsd:enumeration>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
				<xsd:element ref="ds:Signature" minOccurs="0"/>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="EN">Message Identification</xsd:documentation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Kód zprávy upřesňující obsah zprávy.</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message code that specifies the message content.</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PG1">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Měsíční výkaz o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PG3">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Opis měsíčního výkazu o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PG6">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Výpis měsíčních výkazů o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze, zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions; so far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro příští verze. Zatím konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="answer-required" type="xsd:boolean" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Indikace požadavku na odpověď 1=ANO, 0=NE</xsd:documentation>
					<xsd:documentation xml:lang="EN">Indication of request for response 1=YES, 0=NO</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="interval" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Interval platnosti dat</xsd:documentation>
					<xsd:documentation xml:lang="EN">Data validity interval</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?/\d{4}-\d\d-\d\dT\d\d:\d\d(:\d\d)?"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="time-offset" use="optional" default="+1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Časový posun</xsd:documentation>
					<xsd:documentation xml:lang="EN">Time off-set</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:pattern value="[-+]?\d"/>
						<xsd:pattern value="[-+]?1\d"/>
						<xsd:pattern value="[-+]?2[01234]"/>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="language" type="ote:language" use="optional">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Jazyk zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message language</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>